SLAPDN(8C)

NAME
slapdn - Check a list of string-represented DNs based on schema syntax.

SYNOPSIS
SBINDIR/slapdn [-v] [-d level] [-f slapd.conf] DN [...]

DESCRIPTION

Slapdn is used to check the conformance of a DN based on the schema defined in slapd(8) and that loaded via slapd.conf(5). It opens the slapd.conf(5) configuration file, reads in the schema definitions, and then parses the DN list given on the command-line.

OPTIONS

-v  enable verbose mode.

-d level
    enable debugging messages as defined by the specified level.

-f slapd.conf
    specify an alternative slapd.conf(5) file.

EXAMPLES
To check a DN give the command:

	SBINDIR/slapdn -f /ETCDIR/slapd.conf -v DN

SEE ALSO
ldap(3), slapd(8) slaptest(8)

"OpenLDAP Administrator's Guide" (http://www.OpenLDAP.org/doc/admin/)

ACKNOWLEDGEMENTS
OpenLDAP is developed and maintained by The OpenLDAP Project (http://www.openldap.org/). OpenLDAP is derived from University of Michigan LDAP 3.3 Release.